2017-08-22 04:21 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002416NetSurfJavascriptpublic2017-04-21 12:09
ReporterMichael Drake 
Assigned ToMichael Drake 
SeverityminorReproducibilityhave not tried 
StatusresolvedResolutionfixed 
PlatformAnyOS-OS Version-
Product Version3.6 
Target Version3.7Fixed in Version3.7 
Summary0002416: HTML style comments in JavaScript not handled
DescriptionHTML style comments in JavaScript not handled.

See https://github.com/svaarala/duktape/pull/564
TagsNo tags attached.
Fixed in CI build #4065
Reported in CI build #3315
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
David Pitt

~0001159

David Pitt (reporter)

Last edited: 2016-01-27 19:38

View 3 revisions

Uploaded a test file, comment.htm. The javascript writes are rendered with Safari but not with NetSurf.

<!DOCTYPE HTML>
<html><head> <title>Comment failure</title></head><body>

Test - with single line html comment

<script>
document.write("hello world 1");
<!-- here is some javascript -->
document.write("hello world 2");
</script>

End of Test

</body> </html>

Dave Higton

~0001176

Dave Higton (developer)

HTML-style comments used not to be legal in Javascript, but relatively recently they have been adopted into the language.

The version of the duktape library currently used by NS does not handle them, but a future version will.
Michael Drake

~0001528

Michael Drake (administrator)

Now implemented in upstream Duktape: https://github.com/svaarala/duktape/commit/b0b5cbdd103d82a5544025f767063865df8b91ee

We'll get this when Duktape 2.1 is released, and when we update from 2.0.2 to 2.1.
Michael Drake

~0001539

Michael Drake (administrator)

Fixed in #4065, which updates us to duktape 2.1
+Notes

-Issue History
Date Modified Username Field Change
2016-01-27 18:52 Michael Drake New Issue
2016-01-27 19:13 David Pitt File Added: comment.htm
2016-01-27 19:18 David Pitt Note Added: 0001159
2016-01-27 19:18 David Pitt Note Edited: 0001159 View Revisions
2016-01-27 19:38 David Pitt Note Edited: 0001159 View Revisions
2016-02-01 14:43 Dave Higton Note Added: 0001176
2016-02-01 14:43 Dave Higton Status new => acknowledged
2016-02-01 14:43 Dave Higton Description Updated View Revisions
2017-03-27 11:04 Michael Drake Note Added: 0001528
2017-04-06 14:12 Michael Drake Assigned To => Michael Drake
2017-04-06 14:12 Michael Drake Status acknowledged => assigned
2017-04-06 14:13 Michael Drake Status assigned => confirmed
2017-04-06 14:13 Michael Drake Description Updated View Revisions
2017-04-21 12:09 Michael Drake Status confirmed => resolved
2017-04-21 12:09 Michael Drake Resolution open => fixed
2017-04-21 12:09 Michael Drake Product Version 4.0 => 3.6
2017-04-21 12:09 Michael Drake Fixed in Version => 3.7
2017-04-21 12:09 Michael Drake Target Version 4.0 => 3.7
2017-04-21 12:09 Michael Drake Fixed in CI build # => 4065
2017-04-21 12:09 Michael Drake Note Added: 0001539
+Issue History